Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.verification
Interface VerificationWithTimeout

All Superinterfaces:
  VerificationMode

All Known Implementing Classes:
  Timeout

    public interface VerificationWithTimeout

extends VerificationMode

VerificationWithTimeout is a `VerificationMode` that allows combining existing verification modes with 'timeout'. E.g:

     verify(mock, timeout(100).times(5)).foo();

     verify(mock, timeout(100).never()).bar();

     verify(mock, timeout(200).atLeastOnce()).baz();

See examples in javadoc for `Mockito.verify(Object, VerificationMode)`

Method Summary
`VerificationMode` | `atLeast(int minNumberOfInvocations)` Allows at-least-x verification withing given timeout.
`VerificationMode` | `atLeastOnce()` Allows at-least-once verification withing given timeout.
`VerificationMode` | `atMost(int maxNumberOfInvocations)` Deprecated. Deprecated validation with timeout combined with atMost simply does not make sense... The test would have passed immediately in the concurrent environment To avoid compilation erros upon upgrade the method is deprecated and it throws a "friendly reminder" exception. In future release we will remove timeout(x).atMost(y) from the API. Do you want to find out more? See issue 235
`VerificationMode` | `never()` Alias to times(0), see `times(int)`
`VerificationMode` | `only()` Allows checking if given method was the only one invoked.
`VerificationMode` | `times(int wantedNumberOfInvocations)` Allows verifying exact number of invocations within given timeout
       verify(mock, timeout(100).times(2)).someMethod("some arg");

Methods inherited from interface org.mockito.verification.VerificationMode
`verify`

Method Detail

### times

    VerificationMode times(int wantedNumberOfInvocations)

  Allows verifying exact number of invocations within given timeout

         verify(mock, timeout(100).times(2)).someMethod("some arg");

  See examples in javadoc for `Mockito` class

  Parameters:
    `wantedNumberOfInvocations` - wanted number of invocations
  Returns:
    verification mode

### never

    VerificationMode never()

  Alias to times(0), see `times(int)`

  Verifies that interaction did not happen within given timeout. E.g:

         verify(mock, timeout(100).never()).someMethod();

  If you want to verify there were NO interactions with the mock check out `Mockito.verifyNoMoreInteractions(Object...)`

  See examples in javadoc for `Mockito` class

  Returns:
    verification mode

### atLeastOnce

    VerificationMode atLeastOnce()

  Allows at-least-once verification withing given timeout. E.g:

         verify(mock, timeout(100).atLeastOnce()).someMethod("some arg");

  Alias to atLeast(1)

  See examples in javadoc for `Mockito` class

  Returns:
    verification mode

### atLeast

    VerificationMode atLeast(int minNumberOfInvocations)

  Allows at-least-x verification withing given timeout. E.g:

         verify(mock, timeout(100).atLeast(3)).someMethod("some arg");

  See examples in javadoc for `Mockito` class

  Parameters:
    `minNumberOfInvocations` - minimum number of invocations
  Returns:
    verification mode

### atMost

    @Deprecated
    VerificationMode atMost(int maxNumberOfInvocations)

  Deprecated. Deprecated validation with timeout combined with atMost simply does not make sense... The test would have passed immediately in the concurrent environment

  To avoid compilation erros upon upgrade the method is deprecated and it throws a "friendly reminder" exception.

  In future release we will remove timeout(x).atMost(y) from the API.

  Do you want to find out more? See issue 235

  Returns:
    verification mode

### only

    VerificationMode only()

  Allows checking if given method was the only one invoked. E.g:

         verify(mock, only()).someMethod();
         //above is a shorthand for following 2 lines of code:
         verify(mock).someMethod();
         verifyNoMoreInvocations(mock);

  See also `Mockito.verifyNoMoreInteractions(Object...)`

  See examples in javadoc for `Mockito` class

  Returns:
    verification mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD